{% extends 'base.html' %}

{% block menu_list %}
    {% for name, link in menus.items %}
        <li><a href="{{ link }}">{{ name }}</a></li>
    {% endfor %}
{% endblock %}

{% block content %}
    {% if books %}
        <table>
            <tr>
                <th>Judul Buku</th>
                <th>Deskripsi</th>
                <th>Genre</th>
                <th>Aksi</th>
            </tr>
            {% for book in books %}
                <tr>
                    <td>{{ book.judul_buku }}</td>
                    <td>{{ book.deskripsi }}</td>
                    <td>{{ book.genre.genre }}</td>
                    <td>
                        <a href="{% url 'detail_book' book.id %}">Detail</a>
                        <a href="{% url 'update_book' book.id %}">Ubah</a>
                        <a href="{% url 'delete_book' book.id %}">Hapus</a></td>
                </tr>
            {% endfor %}
    {% else %}
        <p style="font-size: 20px;">Tidak ada yang ditampilkan</p>
    {% endif %}
{% endblock %}